%global wayland_min_version 1.3

Name:          plasma-remotecontrollers
Version:       5.27.10
Release:       1%{?dist}
License:       BSD-2-Clause and BSD-3-Clause and CC0-1.0 and GPL-2.0-or-later
Summary:       A big launcher giving you access to any installed apps and skills.
Url:           https://invent.kde.org/plasma/plasma-bigscreen

%global        stable %stable_kf5
Source0:       http://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires: extra-cmake-modules
BuildRequires: gcc-c++
BuildRequires: kf5-rpm-macros

BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5Solid)
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5Declarative)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5KCMUtils)
BuildRequires: cmake(KF5Package)
BuildRequires: cmake(KF5WindowSystem)
BuildRequires: cmake(KF5ItemModels)

BuildRequires: cmake(Qt5Core)
BuildRequires: cmake(Qt5DBus)
BuildRequires: cmake(Qt5Gui)
BuildRequires: cmake(Qt5WaylandClient)

BuildRequires: cmake(PlasmaWaylandProtocols) > 1.1
BuildRequires: cmake(ScreenSaverDBusInterface)
BuildRequires: cmake(LibTaskManager)
BuildRequires: wayland-devel >= %{wayland_min_version}
BuildRequires: libcec-devel
BuildRequires: libevdev-devel


%description
%{summary}.

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang plasma-remotecontrollers --all-name

%files -f plasma-remotecontrollers.lang
%license LICENSES/*
%{_sysconfdir}/xdg/autostart/org.kde.plasma-remotecontrollers.desktop
%{_sysconfdir}/xdg/plasma-remotecontrollersrc
%{_kf5_bindir}/plasma-remotecontrollers
%{_kf5_qtplugindir}//kcms/kcm_mediacenter_remotecontrollers.so
%{_kf5_qmldir}/org/kde/plasma/remotecontrollers/qmldir
%{_libdir}/udev/rules.d/40-uinput.rules
%{_datadir}/applications/org.kde.plasma-remotecontrollers.desktop
%{_kf5_datadir}/dbus-1/interfaces/org.kde.plasma.remotecontrollers.CEC.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.plasma.remotecontrollers.ControllerManager.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.plasma.remotecontrollers.EVDEV.xml
%{_kf5_datadir}/knotifications5/plasma-remotecontrollers.notifyrc
%{_kf5_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/+mediacenter/DeviceMap.qml
%{_kf5_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/+mediacenter/DeviceSetupView.qml
%{_kf5_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/+mediacenter/delegates/DeviceDelegate.qml
%{_kf5_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/+mediacenter/main.qml
%{_kf5_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/DeviceMap.qml
%{_kf5_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/DeviceSetupView.qml
%{_kf5_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/delegates/DeviceDelegate.qml
%{_kf5_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/delegates/MapButtonDelegate.qml
%{_kf5_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/main.qml
%{_kf5_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/metadata.desktop
%{_kf5_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/metadata.json
%{_kf5_datadir}/kservices5/kcm_mediacenter_remotecontrollers.desktop
%{_kf5_metainfodir}/org.kde.plasma.remotecontrollers.metainfo.xml
%{_kf5_datadir}/qlogging-categories5/plasma-remotecontrollers.categories

%changelog
* Sun Jan 07 2024 Marie Loise Nolden <loise@kde.org> - 5.27.10-1
- 5.27.10

* Mon Jun 26 2023 Marie Loise Nolden <loise@kde.org> - 5.27.6-1
- 5.27.6

* Thu May 11 2023 Marie Loise Nolden <loise@kde.org> - 5.27.5-1
- 5.27.5

* Fri Apr 7 2023 Marie Loise Nolden <loise@kde.org> - 5.27.4-1
- 5.27.4

* Fri Mar 31 2023 Marie Loise Nolden <loise@kde.org> - 5.27.3-1
- Initial Package

